# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:56:42 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Observable
Summary:	Class::Observable - Allow other classes and objects to respond to events in yours
Summary(pl):	Modu Class::Observable - pozwalajcy innym klasom odpowiada na zdarzenia
Name:		perl-Class-Observable
Version:	0.03
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Class-ISA >= 0.32
BuildRequires:	perl-Test-Simple >= 0.40
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you have ever used Java, you may have run across the
java.util.Observable class and the java.util.Observer interface. Using
them, you can decouple an object from the one or more objects that
wish to be notified whenever particular events occur.

%description -l pl
Znajcy Jav by moe spotkali si z klas java.util.Observable i
interfejsem java.util.Observer. Przy ich uyciu mona zrezygnowa z
czenia z jednym lub wicej obiektw, ktre maj by powiadamiane o
wystpieniu okrelonych zdarze.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Class-Observable.spec,v $
Revision 1.4.2.1  2003/03/13 00:56:42  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:37:38  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:09  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/26 22:32:49  qboosh
- pl description

Revision 1.1  2002/08/25 15:20:33  radek
- new, STBR
